import LayoutMain from '@/framework/layout/Main'

import Login from '@/framework/layout/Login'
import Dasboard from '@/views/dasboard'

import UserList from '@/views/system/user/UserList'
import RoleList from '@/views/system/role/RoleList'
import ChangePwd from '@/views/system/pwd/ChangePwd'

/**项目管理 */
import projectAdm from '@/views/platfrom/project'
import userAdm from '@/views/platfrom/user'
import roleAdm from '@/views/platfrom/role'

/**前期准备 */
import buildFloor from '@/views/ready/buildfloor'
import collectsetting from '@/views/ready/collectsetting'
import buildUser from '@/views/ready/appuser'
import repetitionGraphy from '@/views/ready/buildfloor/repetitionGraphy'

/**模型管理 */
import modelFile from '@/views/model/file'
import modelReport from '@/views/model/report'

/**系统集成 */
import pointConfig from '@/views/point/config_point'
import editDataSouce from '@/views/point/config_point/edit_origin'
import pointSteps from '@/views/point/config_point/steps'
import objectData from '@/views/point/objectData'
import integrateReport from '@/views/point/report'
import dynamicdata from '@/views/point/dynamicdata'
import equipRela from '@/views/point/dynamicdata/addRelation/equipRela'
import partsRela from '@/views/point/dynamicdata/addRelation/partsRela'
import systemRela from '@/views/point/dynamicdata/addRelation/systemRela'
import spaceRela from '@/views/point/dynamicdata/addRelation/spaceRela'

/** 扫楼作业 */
import buildTask from '@/views/data_admin/buildTask'
import buildAssets from '@/views/data_admin/buildAssets'
import buildLog from '@/views/data_admin/buildLog'
import buildData from '@/views/data_admin/buildData'
import buildGraphy from '@/views/data_admin/buildGraphy'

/**  台账管理 */
import systemLedger from '@/views/ledger/system'
import systemadd from '@/views/ledger/system/addsystem'
import facilityLedger from '@/views/ledger/facility'
import partsLedger from '@/views/ledger/facility/parts'
import partsmanageLedger from '@/views/ledger/facility/partsmanage'
import partsadd from '@/views/ledger/facility/partsmanage/addparts'
import deviceadd from '@/views/ledger/facility/addfacility'
import propertyadd from '@/views/ledger/property/addproperty'
import propertyLedger from '@/views/ledger/property'
import spacelist from '@/views/ledger/spacelist'//业务空间台账
import addPropertys from '@/views/ledger/property/addpropertys'//根据未关联资产的设备或部件批量创建设备
import cenotelist from '@/views/ledger/cenotelist' //竖井清单
import cenoteadd from '@/views/ledger/cenotelist/cenoteadd' //添加竖井
import rentlist from '@/views/ledger/rentlist' //租户清单
import rentadd from '@/views/ledger/rentlist/rentadd' //竖井清单
import dataReport from '@/views/ledger/report'
import auth from '@/views/system/auth'
import noUser from '@/views/system/nouser'

/**  关系维护并计算 */
import maintain from '@/views/relation/maintain'
import overView from '@/views/relation/overview'

/**  厂家库 */
import supplier from '@/views/manufactor/supplier'

/**市场及商务 */
const OwnerManage = () =>
    import('@/views/market/owner/manage')

export default [
    { path: '/', name: '', component: LayoutMain, children: [{ path: '', name: 'blank', component: Dasboard }] },
    //{ path: '/login', name: 'Login', component: Login },
    { path: '/auth', name: 'auth', component: auth },
    { path: '/noUser', name: 'noUser', component: noUser },
    // 平台管理
    {
        path: '/platform',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: 'project', name: 'projectAdm', component: projectAdm, meta: { keepAlive: false, breadcrumbs: [{ label: '项目管理' }] } },
            { path: 'user', name: 'userAdm', component: userAdm, meta: { keepAlive: false, breadcrumbs: [{ label: '人员管理' }] } },
            { path: 'role', name: 'roleAdm', component: roleAdm, meta: { keepAlive: false, breadcrumbs: [{ label: '角色管理' }] } }
        ]
    },
    // 前期准备
    {
        path: '/ready',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: 'buildfloor', name: 'buildFloor', component: buildFloor, meta: { keepAlive: false, breadcrumbs: [{ label: '建筑楼层管理' }] } },
            { path: 'collectsetting', name: 'collectsetting', component: collectsetting, meta: { keepAlive: false, breadcrumbs: [{ label: '需采集的信息点' }] } },
            { path: 'appuser', name: 'buildUser', component: buildUser, meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼App用户管理' }] } },
            { path: 'buildfloor/repetitionGraphy', name: 'repetitionGraphy', component: repetitionGraphy, meta: { keepAlive: false, breadcrumbs: [{ label: '建筑楼层管理', path: '/ready/buildfloor' }, { label:'平面图维护' }] }}
        ]
    },
    //模型管理
    {
        path: '/model',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'modelFile', component: modelFile },
            {
                path: 'file',
                name: 'modelFile',
                component: modelFile,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '模型文件管理' }] }
            },
            {
                path: 'report',
                name: 'modelReport',
                component: modelReport,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '模型质量报告' }] }
            }
        ]
    },
    // 系统集成
    {
        path: '/point',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'pointConfig', component: pointConfig },
            {
                path: 'pointsetting',
                name: 'pointConfig',
                component: pointConfig,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '子系统点位接入' }] }
            },
            { path: 'editDataSouce', name: 'editDataSouce', component: editDataSouce },
            { path: 'pointSteps', name: 'pointSteps', component: pointSteps },
            {
                path: 'dynamicdata',
                name: 'dynamicdata',
                component: dynamicdata,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值' }] }
            },
            {
                path: 'equipRela',
                name: 'equipRela',
                component: equipRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'partsRela',
                name: 'partsRela',
                component: partsRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'systemRela',
                name: 'systemRela',
                component: systemRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'spaceRela',
                name: 'spaceRela',
                component: spaceRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从点位取值', path: '/point/dynamicdata' }, { label: '处理未对应实例对象标识' }] }
            },
            {
                path: 'objectdata',
                name: 'objectData',
                component: objectData,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '配置动参从对象取值' }] }
            },
            {
                path: 'report',
                name: 'integrateReport',
                component: integrateReport,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '系统集成成果管理' }] }
            }
        ]
    },
    //扫楼数据管理
    {
        path: '/floor',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'buildData', component: buildData },
            {
                path: 'task',
                name: 'buildTask',
                component: buildTask,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/task' }, { label: '现场任务管理' }] }
            },
            {
                path: 'data',
                name: 'buildData',
                component: buildData,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/task' }, { label: '现场数据整理', path: '/floor/data' }, { label: '信息点整理' }] }
            },
            {
                path: 'plan',
                name: 'buildGraphy',
                component: buildGraphy,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/task' }, { label: '现场数据整理', path: '/floor/data' }, { label: '位置标签整理' }] }
            },
            {
                path: 'abnormalprop',
                name: 'buildAssets',
                component: buildAssets,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/task' }, { label: '扫楼报告' }] }
            },
            {
                path: 'log',
                name: 'buildLog',
                component: buildLog,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/task' }, { label: '扫楼日志查看' }] }
            }
        ]
    },
    //台账管理
    {
        path: '/ledger',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'facility',
                name: 'facilityLedger',
                component: facilityLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备台账' }] }
            },
            {
                path: 'parts',
                name: 'partsLedger',
                component: partsLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '包含的部件' }] }
            },
            {
                path: 'partsmanage',
                name: 'partsmanageLedger',
                component: partsmanageLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '管理部件' }] },
            },
            {
                path: 'partsadd',
                name: 'partsadd',
                component: partsadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备台账', path: '/ledger/facility' }, { label: '添加部件' }] },
            },
            {
                path: 'deviceadd',
                name: 'deviceadd',
                component: deviceadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备台账', path: '/ledger/facility' }, { label: '添加设备' }] }
            },
            {
                path: 'property',
                name: 'propertyLedger',
                component: propertyLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '资产台账' }] }
            },
            {
                path: 'propertyadd',
                name: 'propertyadd',
                component: propertyadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '资产台账', path: '/ledger/property' }, { label: '添加资产' }] }
            },
            {
                path: 'addPropertys',
                name: 'addPropertys',
                component: addPropertys,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '资产台账', path: '/ledger/property' }, { label: '批量创建' }] }
            },
            {
                path: 'list',
                name: 'systemlist',
                component: systemLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '系统台账' }] }
            },
            {
                path: 'systemadd',
                name: 'systemadd',
                component: systemadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '系统台账', path: '/ledger/list' }, { label: '添加系统' }] }
            },
            {
                path: 'spacelist',
                name: 'spacelist',
                component: spacelist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '业务空间台账' }] }
            },
            {
                path: 'cenotelist',
                name: 'cenotelist',
                component: cenotelist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井台账' }] }
            },
            {
                path: 'cenoteadd',
                name: 'cenoteadd',
                component: cenoteadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井台账', path: '/ledger/cenotelist' }, { label: '添加竖井' }] }
            },
            {
                path: 'rentlist',
                name: 'rentlist',
                component: rentlist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '租户台账' }] }
            },
            {
                path: 'rentadd',
                name: 'rentadd',
                component: rentadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '租户台账', path: '/ledger/rentlist' }, { label: '添加租户' }] }
            },
            {
                path: 'datareport',
                name: 'dataReport',
                component: dataReport,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '数据质量报告' }] }
            }
        ]
    },
    /******************** 关系维护并计算 ***************************/
    //关系维护
    {
        path: '/relation',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: 'maintain', name: 'maintain', component: maintain, meta: { keepAlive: false, breadcrumbs: [{ label: '关系维护' }] } },
            { path: 'overview', name: 'overView', component: overView, meta: { keepAlive: false, breadcrumbs: [{ label: '全部关系总览' }] } }
        ]
    },
    /******************** 通用字典 ***************************/
    //厂家库
    // {
    //     path: '/manufactor',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: 'supplier', name: 'supplier', component: supplier, meta: { keepAlive: false, breadcrumbs: [{ label: '厂家库' }] }}
    //     ] 
    // },

    //业务空间管理
    // {
    //     path: '/business',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         {
    //             path: 'spacelist',
    //             name: 'spacelist',
    //             component: spacelist,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '业务空间管理', path: '/business/spacelist' }, { label: '业务空间清单' }] }
    //         }
    //     ]
    // },
    //租户管理
    // {
    //     path: '/rent',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         {
    //             path: 'rentlist',
    //             name: 'rentlist',
    //             component: rentlist,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '租户管理', path: '/rent/rentlist' }, { label: '租户清单' }] }
    //         },
    //         {
    //             path: 'rentadd',
    //             name: 'rentadd',
    //             component: rentadd,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '租户管理', path: '/rent/rentlist' }, { label: '租户清单', path: '/rent/rentlist' }, { label: '添加租户' }] }
    //         }
    //     ]
    // },
    //系统管理
    // {
    //     path: '/system',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [{
    //             path: 'list',
    //             name: 'systemlist',
    //             component: systemLedger,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '系统管理', path: '/system/list' }, { label: '系统清单' }] }
    //         },
    //         {
    //             path: 'systemadd',
    //             name: 'systemadd',
    //             component: systemadd,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '系统管理', path: '/system/list' }, { label: '系统清单', path: '/system/list' }, { label: '添加系统' }] }
    //         },
    //     ]
    // },
    //项目化配置
    // {
    //     path: '/proj',
    //     name: 'LayoutMain',
    //     component: LayoutMain,
    //     children: [
    //         { path: '', name: 'Dasboard', component: Dasboard },
    //         {
    //             path: 'custominfo',
    //             name: 'Dasboard',
    //             component: Dasboard,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '自定义信息点' }] }
    //         },
    //         {
    //             path: 'collectsetting',
    //             name: 'collectsetting',
    //             component: collectsetting,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '项目需采集的信息点' }] }
    //         },
    //         {
    //             path: 'floorinfo',
    //             name: 'Dasboard',
    //             component: Dasboard,
    //             meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '楼层信息管理' }] }
    //         }
    //     ]
    // },
    //环境调节
    {
        path: '/environment',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'envlist', name: 'Dasboard', component: Dasboard }
        ]
    },
    //市场及商务
    {
        path: '/market',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'own', name: 'Dasboard', component: OwnerManage }
        ]
    }
]